Bug 103622 - HP Pavillion hangs; ohc1394 related
HP Pavillion hangs; ohc1394 related
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-03 03:54 EDT by Toralf
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2003-09-03 03:54:15 EDT
Description of problem:
I'm exeperiencing severe hangs when installing or running Red Hat Linux 9 on a
HP Pavillion ze5400. When booting with default installation, the system will
hang after displaying the message
    Loading ohc1394 driver

I was able to run the installation by booting from floppy, making sure the
ohc1394 driver wasn't found ("nofirewire" would probably have done the trick,
too.) When rebooting after the installation, the system would hang again at
ohc1394 initialisation step. If the driver is disabled, or "nofirewire" option
is passed to the kernel, the hang occors at the "kudzu" step instead. The system
boot successfully with kudzu disabled, but any attempt to probe the hardware
will result in a complete hang. Also, shutdown fails; it stops at
    Stopping pcmcia: unloading Kernel Card Services


Version-Release number of selected component (if applicable):
2.4.20-20.9
Comment 1 Toralf 2003-09-03 03:59:25 EDT
http://jon.madisons.com/2003/06/10/redhat_linux_9_and_hp_pavillion_ze5385.jon

has a thorough discussion of the problem.
Comment 2 Mike Hoolehan 2003-09-13 10:53:39 EDT
I had the same symptoms after installing a 2.4.22 machine on my redhat 9 dell
inspiron 300m laptop.  My initial install and booting of the stock 2.4.20-8
kernel was fine, but my 2.4.22 kernel would hang on 'initializing firewire
controller'.    Disabling the firewire module would cause kudzu to hang on boot
(or if i disabled kudzu, it would hang when entering runlevel 5).  If I could
disable enough to get it to boot, the machine would hang on shutdown on PCMCIA.

While I don't know the root cause (I believe I am only addressing a symptom
here), I was able to solve my problem by adding 
pre-install ohci1394 /bin/sleep 2
to my /etc/modules.conf.  This causes the machine to sleep 2 seconds before
loading the ochi1394 module.  My machine boots cleanly every time now.
Comment 3 Aaron Axelsen 2003-09-18 00:18:56 EDT
I have the same issue on my hp pavilion ze4400.  Is this problem being 
corrected?
Comment 4 Aaron Axelsen 2003-09-18 08:21:14 EDT
I have the same issue on my hp pavilion ze4400.  Is this problem being 
corrected?
Comment 5 Bugzilla owner 2004-09-30 11:41:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.